musescore (3.2.3+dfsg1-3) unstable; urgency=high

  * Fix crash on reading preferences files containing unrecognised
    entries (such as these from a later otherwise compatible version)
  * Update lintian override: a false positive is no longer present

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 Oct 2019 15:36:22 +0100

musescore (3.2.3+dfsg1-2) unstable; urgency=low

  * Upload to unstable, again without the restriking patch
  * Merge musescore (3.2.3+dfsg1-1exp1) experimental; urgency=low
    - pull another post-release bugfix from upstream
  * Set umask 022 for reproducibility
  * Merge musescore2 (2.3.2+dfsg3-6) wtf; urgency=low
    - updates d/copyright with more historic info + formatting
    - modernising and correcing packaging
    - runs test in UTF-8 locale, lile build
    - add -g3 to optdbg builds
    - Policy 4.4.1 (no changes)
  * Fix misspelt translation

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 30 Sep 2019 01:18:56 +0200

musescore (3.2.3+dfsg1-1exp1) experimental; urgency=low

  * Upload to experimental, again with the revert restriking patch
  * Pull another post-release bugfix from upstream

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 10 Jul 2019 18:57:24 +0200

musescore (3.2.3+dfsg1-1) unstable; urgency=low

  * Fix About when build number is empty (cosmetic)
  * Merge musescore2 (2.3.2+dfsg3-5) wtf; urgency=low
  * New upstream release
  * Upload to unstable, with the revert restriking patch disabled
  * Fix building with disabled plugins (needed to build on stretch)
  * Small cosmetic fix for About dialogue and --long-version

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 10 Jul 2019 03:22:28 +0200

musescore (3.2.2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Merge musescore-snapshot (3.1+dfsg1-1) experimental; urgency=medium
  * Drop merged patches, update patches
  * Merge musescore2 (2.3.2+dfsg3-4) wtf; urgency=low

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 04 Jul 2019 23:55:01 +0200

musescore-snapshot (3.1+dfsg1-1) experimental; urgency=medium

  * New upstream release, repackaged as snapshot for integration work
  * Apply four post-release bugfixes: three from master, one from the
    musescore.com backend branch that’s not… yet(?) there
  * Update description with new features from 3.0 and 3.1
  * Merge musescore2 (2.3.2+dfsg3-2) wtf; urgency=medium
  * Supplement the AppStream metadata with the new release
  * Fix charset used by local plugin docs
  * Register plugin documentation with doc-base
  * Note known bug https://musescore.org/en/node/290147

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Jun 2019 23:42:38 +0200

musescore-snapshot (3.1~pre20190412+dfsg1-1) experimental; urgency=low

  * New upstream snapshot “v3.1beta”
  * Merge musescore (3.0.5+dfsg1-2) experimental; urgency=low
  * Generate and install full plugin documentation locally
  * Merge musescore (3.0.5+dfsg1-3) experimental; urgency=low

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 19 Apr 2019 22:24:42 +0200

musescore-snapshot (3.1~pre20190227+dfsg1-1) experimental; urgency=low

  * Revert to tracking “git master” snapshots now 3.0.x was branched
  * New upstream snapshot; drop applied and refresh remaining patches

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 27 Feb 2019 21:01:07 +0100

musescore (3.0.5+dfsg1-3) experimental; urgency=low

  * Merge musescore (2.3.2+dfsg2-6) unstable; urgency=medium
  * Mark more patches as applied upstream
  * Adopt package description marker distinguishing from castling branch
  * Update AppData PR patch
  * Add a few crash fix patches until 3.1 is out
  * Clarify the Qt 5.7 patch use in stretch-backports-sloppy *only*
  * Apply recommended settings of debhelper 12

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 04 May 2019 01:55:53 +0200

musescore (3.0.5+dfsg1-2) experimental; urgency=low

  * Merge musescore (2.3.2+dfsg2-5) unstable; urgency=medium
  * Update patches and pull three new bugfix patches from upstream
  * Stop suggesting old tiny soundfonts: we pull in a suitable, large
    one (with better UX) already, and the user can install any SF2/SF3
    or SFZ one by themselves
  * Use the same soundfont as upstream does, for fresh installations
  * Workaround for DEP 5 syntax in a complex case
  * Fix share/plugins/notenames.qml copyright years

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 17 Apr 2019 23:33:14 +0200

musescore (3.0.5+dfsg1-1) experimental; urgency=medium

  * New upstream version, targetting experimental until AFTER buster release

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 13 Mar 2019 17:52:48 +0100

musescore (3.0.4+dfsg1-1) experimental; urgency=low

  * New upstream version, targetting experimental until AFTER buster release
  * Remove applied patches
  * Fix upstream release notes link
  * Apply a reproducibility fix merged in upstream 3.1
  * Automate skipping the testsuite for too-old Qt5, easing backports/PPA

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 07 Mar 2019 22:48:58 +0100

musescore (3.0.3+dfsg1-1) experimental; urgency=low

  * Merge from the musescore-snapshot package but rename it back
  * Rename binary packages to musescore3{,-common} for coïnstallability
    (musescore{,-common} 2.x will stay around for buster’s lifetime, and
    upstream says users should have both in parallel, for existing scores)
  * New upstream version, targetting experimental until AFTER buster release
  * Apply upstream patch to fix sound to not always be piano + some crashes

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 27 Feb 2019 20:02:56 +0100

musescore-snapshot (3.0.2+dfsg1-3) experimental; urgency=high

  * Backport proposed fixes for saving text colours and flipping lyrics

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 18 Feb 2019 00:34:31 +0100

musescore-snapshot (3.0.2+dfsg1-2) experimental; urgency=medium

  * Mark patches as applied upstream
  * Allow manually debugging xvfb testsuite runner
  * Make up a $HOME directory which the testsuite can use

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 07 Feb 2019 19:07:46 +0100

musescore-snapshot (3.0.2+dfsg1-1) experimental; urgency=medium

  * Fix failing tst_runscripts
  * Allow MuseJazz fonts back in, the source code situation was cleared
  * Backport another FTBFS fix
  * New upstream release
    - update copyright
    - refresh all patches and PRs
  * Fix non-constant format string (-Wformat-security)
  * Slight env cleanup for the tests (tbf within pbuilder)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 06 Feb 2019 21:07:52 +0100

musescore-snapshot (3.0.1+dfsg1-2) experimental; urgency=low

  * Fix XDG_DATA_HOME subpath location in the manpage
  * Merge changes from musescore (2.3.2+dfsg2-3)
  * Update upstream submission status of, and the patches themselves

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 27 Jan 2019 17:06:00 +0100

musescore2 (2.3.2+dfsg3-6) wtf; urgency=low

  * d/copyright: Update MuseJazz information from historic records
  * d/copyright: Write year numbers consistently (four digits, comma)
  * Set umask 022 for reproducibility
  * Improve/fix packaging, from MagicPoint
  * Run the tests in an UTF-8 locale
  * Pass -g3 in addition to -Og for “optdbg” builds
  * Use /usr/share/dpkg/buildtools.mk (for cross build) only if extant
  * Policy 4.4.1 (no change needed)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 29 Sep 2019 21:58:54 +0200

musescore2 (2.3.2+dfsg3-5) wtf; urgency=low

  * Create system soundfont directories in maintainer scripts,
    so adequate does not warn and the local admin will know
    where system-wide soundfonts are installed
  * Policy 4.4.0.0 from d-d-a (grudgingly though this uses dh7-style)
  * d/u/metadata: update Donation information from upstream
  * Finish castling: master now carries MuseScore 3.x in bullseye/sid
  * d/rules: make some paths that differ between branches into variables
  * Reduce d/rules diff against master
  * d/musescore-common.NEWS: drop
  * d/control: Add default soundfont setup command to long description

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 10 Jul 2019 01:14:58 +0200

musescore2 (2.3.2+dfsg3-4) wtf; urgency=low

  * Update UMEGAYA (DEP 12) Changelog link
  * Merge musescore (2.3.2+dfsg2-8) unstable; urgency=low

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 04 Jul 2019 19:37:27 +0200

musescore2 (2.3.2+dfsg3-3) wtf; urgency=high

  * Merge musescore (2.3.2+dfsg2-7) unstable; urgency=high
  * Display distro packaging versioning in About, --long-version

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 02 Jul 2019 23:18:37 +0200

musescore2 (2.3.2+dfsg3-2) wtf; urgency=medium

  * Log prevented note collisions in revert-restriking patch
  * debian/buildtest: move nocheck test here
  * Streamline and (slightly) optimise debian/rules
  * Build under the C.UTF-8 locale
  * Add patch to show two pitches (in transposing mode) in status line
  * Pull upstream commit to fix barbeat counting from 3.1

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Jun 2019 18:06:02 +0200

musescore2 (2.3.2+dfsg3-1) wtf; urgency=low

  * Renamed source package, to complete castling (src:musescore builds
    musescore3{,-common} and this builds musescore{,-common} 2.x + wtf)
  * debian/upstream/NEWS: update upstream links
  * Merge improvements from experimental branch:
    - debian/buildtest: auto-detect whether Qt is suitable for the tests
    - use debhelper 12
    - switch default soundfont to musescore-general-soundfont-small
    - drop old Provides/Replaces/Breaks for mscore
    - cease suggesting ancient soundfonts
    - update patch comments/metadata
    - add AppData stuff
  * Reenable the patch to revert unison collision restriking
  * Drop stub rdoc as well as old OMR (unusable)
  * Add marker to package short descriptions saying this is the old version
  * Apply recommended settings of debhelper 11/12, easing PPA and backports
  * Mark as merged: musescore (2.3.2+dfsg2-6ubuntu1) eoan; urgency=medium

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 04 May 2019 00:22:12 +0200

musescore (2.3.2+dfsg2-8) unstable; urgency=low

  * Fix OSS-sALSA function replacement (uninitialised variable);
    affects only jessie-backports and kFreeBSD and Hurd

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 04 Jul 2019 19:25:37 +0200

musescore (2.3.2+dfsg2-7ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/ff014657939f30c0052a1d2d66d87d13833c5255.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2019 09:36:32 +0200

musescore (2.3.2+dfsg2-7~deb10u1) buster; urgency=high

  * Rebuild 2.3.2+dfsg2-7 for buster-updates (cf. #931040)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 03 Jul 2019 14:22:57 +0200

musescore (2.3.2+dfsg2-7) unstable; urgency=high

  * Disable webkit functionality (Closes: #931021)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 24 Jun 2019 18:07:46 +0200

musescore (2.3.2+dfsg2-6ubuntu1) eoan; urgency=medium

  * debian/patches/ff014657939f30c0052a1d2d66d87d13833c5255.patch:
    - upstream build fix for new qt

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2019 11:01:36 +0200

musescore (2.3.2+dfsg2-6) unstable; urgency=medium

  * Workaround for DEP 5 syntax in a complex case
  * Fix share/plugins/notenames.qml and general copyright years
  * Correct copyright info for the demos
  * debian/upstream/NEWS: fix links after upstream reorganised the website

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 19 Apr 2019 21:02:11 +0200

musescore (2.3.2+dfsg2-5) unstable; urgency=medium

  * debian/patches/experiments/new-manpage.diff:
    - mark as applied upstream
    - synchronise with the actually applied patch: fixes a wrong
      document save directory (missing XDG_DOCUMENTS_DIR)
  * debian/copyright: incorporate fixes from Debian ftptrainees:
    - aeolus/global.h: also © Hans Fugal
    - effects/freeverb/freeverb.{cpp,h} is a bit more complicated:
      they were originally PD “Written by Jezar at Dreampoint”,
      but modified by Werner who, as EU citizen, cannot relinquish
      copyright, so they are, effectively, published under the same
      terms as the rest of MuseScore (GPLv2); document that

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 16 Apr 2019 15:34:28 +0200

musescore (2.3.2+dfsg2-4) unstable; urgency=low

  * Mark some patches as applied upstream
  * Update VCS-*
  * Tell uscan to check for 2.x updates only, for now;
    MuseScore 3 will come soon in experimental, provided to users
    via buster-backports / stretch-backports-sloppy after the release
  * Upload to unstable, without the revert restriking patch
  * Merge testsuite runner improvements from src:musescore-snapshot
  * debian/patches/experiments/new-manpage.diff: update, from ibidem

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 27 Feb 2019 17:11:13 +0100

musescore (2.3.2+dfsg2-3) unstable; urgency=low

  * Note: MuseScore 3 will become available via buster-backports
    (and stretch-backports-sloppy) after the release; a preview
    is available as musescore-snapshot in experimental until then
  * Fix cosmetics in mtests runner
  * Simplify soundfonts Depends
  * Policy 4.3.0.1 (no change)
  * Fix FTBFS on hurd (and likely kfreebsd) due to OSS changes

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 27 Jan 2019 16:34:27 +0100

musescore-snapshot (3.0.1+dfsg1-1) experimental; urgency=medium

  * New upstream release
    - update copyright
    - refresh all patches and PRs

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 15 Jan 2019 14:58:35 +0100

musescore-snapshot (3.0+dfsg1-0exp1) experimental; urgency=high

  * New upstream snapshot; update debian/copyright accordingly
  * Refresh all patches; update them from their PRs if applicable
  * Policy 4.3.0.1 (no change)
  * Yank “random upstream git master snapshot” off package description
    as we actually package a release, albeit acting as a snapshot
  * Add patch to fix compilation without QtWebEngine
  * Include patch for backport to stretch (Qt 5.7)
    but keep it disabled by default
  * Cosmetics fix for mtests run script
  * Simplify soundfonts Depends
  * Note that tst_runscripts currently is known to fail (fix welcome)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 11 Jan 2019 23:39:06 +0100

musescore-snapshot (3.0~pre20181213+dfsg1-1) experimental; urgency=low

  * New upstream snapshot; update debian/copyright
  * Merge changes from musescore (2.3.2+dfsg2-2exp1)
  * Do not team-maintain this (it’ll stay in experimental)
  * Refresh patches, drop applied ones; update manpage from PR
  * Update DFSG patch to exclude font from mtests as well

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 14 Dec 2018 08:43:36 +0100

musescore (2.3.2+dfsg2-2exp1) experimental; urgency=medium

  * Upload to experimental, again with the revert restriking patch

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 14 Dec 2018 06:41:28 +0100

musescore (2.3.2+dfsg2-2) unstable; urgency=medium

  * Update manpage
  * Run upstream mtests during build, but don’t fail the build yet
    (upstream vtests are not currently useful to run)
  * Mark lyrics hyphen patches as applied upstream
  * Update dependencies to support new MuseScore_General_Lite SoundFont
  * Override missing autopkgtest lintian, it’s not feasible atm ☹
  * Upload to unstable again without the restriking revert patch
  * Build with -DNDEBUG to avoid stray debugging output

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 14 Dec 2018 06:39:57 +0100

musescore-snapshot (3.0~pre20181204+dfsg1-1) experimental; urgency=medium

  * Merge changes from musescore (2.3.2+dfsg2-1exp1)
  * Enable experimental OMR using system Poppler library
  * debian/patches/upstream/fix-spelling.diff: drop, applied upstream
  * debian/patches/experiments/fix-use-after-free.diff: apply a PR
    by Antonio Lotti fixing severe bugs in destructors
  * …/experiments/better-batch-convert-with-use-after-free-fix.diff:
    uncomment the “delete score;” again as the above should fix it
  * Install upstream-provided AppStream data (updated by a PR)
  * New upstream snapshot (fixes FTBFS on unsigned char platforms)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 04 Dec 2018 22:50:49 +0100

musescore (2.3.2+dfsg2-1exp1) experimental; urgency=medium

  * Upload to experimental, again with the revert restriking patch
  * Add lyrics hyphen patches:
    - reduce default max hyphen distance from 16sp to 8sp
      (in 3.x this is made configurable in the score settings)
    - draw the first and last hyphen closer (by half) to the syllable

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 29 Nov 2018 23:19:55 +0100

musescore (2.3.2+dfsg2-1) unstable; urgency=medium

  * Update packages’ short descriptions from upstream
  * Add completely new manual page (upstreamed)
  * Upload to unstable, without the patch to revert restriking

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 29 Nov 2018 23:09:38 +0100

musescore-snapshot (3.0~pre20181127+dfsg1-1) experimental; urgency=low

  * Upload to experimental, with renamed, coïnstallable packages
  * Switch VCS branch to m-snapshot, track snapshot tags
  * New upstream (git master) snapshot
    - needs Qt 5.8
    - updated short description
    - update list of excluded third-party library convenience copies
  * Exclude fonts/musejazz/ from +dfsg until fixed
    - https://musescore.org/en/node/277756
  * Drop applied patches
  * Adjust NEWS of upstream (no release notes for snapshots)
  * Disable OMR for now (will need patching for system poppler)
  * Build without qt5webengine (almost unused; optional and unportable)
  * Update debian/copyright
    - https://musescore.org/en/node/278900
    - https://github.com/musescore/MuseScore/pull/3269#issuecomment-440884393
  * Apply lintian-provided and own spelling fixes

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 27 Nov 2018 23:03:51 +0100

musescore (2.3.2+dfsg2-0+exp1) experimental; urgency=high

  * Upload to experimental
  * Revert, again, the restriking patch, making the playback roughly
    identical to 2.1.0+dfsg3-3 plus follow-up bugfixes
  * Merge changes from next intended sid upload:
    - Adapt to latest uscan in sid
    - Mark patches applied in upstream so
  * Exclude from repacked tarball unused thirdparty libs to ensure
    they indeed are not used during the build (fixes a GPL incompatibility)
  * Fix small sorting and grouping mistakes in debian/copyright
  * Save ChordList reproducibly into mscx files
  * Revert a restriking-specific bugfix commit as well
  * Evict now-unnecessary lintian overrides
  * Add patch to enhance the -j command line option,
    also fixes some memory corruption
  * Update patch tags for Debian-specific patches with justifications

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 23 Nov 2018 01:12:56 +0100

musescore (2.3.2+dfsg1-2) unstable; urgency=low

  * Policy 4.2.0.0
    - honour “terse” build option; make debhelper more verbose
    - upstream release notes are renamed from changelog to NEWS
  * d/patches/save-locale-dependent-preferences.diff: new
  * Policy 4.2.1.1

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 09 Sep 2018 21:31:36 +0200

musescore (2.3.2+dfsg1-1) unstable; urgency=high

  * Remove unnecessary get-orig-source target
  * New upstream bugfix release
  * Stop installing an unversioned /usr/share/mscore symlink:
    the program does not use it; without, we can coinstall a dev version
  * Clean up some unnecessary stuff in debian/ packaging
  * Install NEWS.Debian and the upstream changelog into the
    musescore-common package only, to save space and make those
    more widely available (musescore Depends musescore-common)
  * Let musescore-common be the first package in debian/control
  * Update package description with much input from upstream and lintian

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 31 Jul 2018 20:12:48 +0200

musescore (2.3.1+dfsg1-1+exp1) experimental; urgency=medium

  * Upload to experimental
  * Revert the restriking patch, making the playback roughly
    identical to 2.1.0+dfsg3-3 plus follow-up bugfixes

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 10 Jul 2018 17:39:31 +0200

musescore (2.3.1+dfsg1-1) unstable; urgency=high

  * New upstream bugfix release
  * Document upstream tag v2.3 moving
  * Restructure patches
  * Use GNU make parallel build output synchronisation,
    should fix most, if not all, blhc issues
  * This should build reproducibly when #894476 will become fixed
  * Policy 4.1.5:
    - introduce R³ = no

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 08 Jul 2018 01:08:57 +0200

musescore (2.3+dfsg1-1) unstable; urgency=medium

  * Upload to unstable again
  * New upstream release

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 01 Jul 2018 22:10:51 +0200

musescore (2.3~pre20180620+dfsg1-2) experimental; urgency=medium

  * Update with a handful of upstream commits from the 2.3rc branch
    to unbreak builds on ARM/PowerPC/S390x (unsigned char issue)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Jun 2018 15:18:46 +0200

musescore (2.3~pre20180620+dfsg1-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release candidate (corresponds to 2.2.10 as 2.3rc)
  * Update debian/copyright accordingly
  * Drop patches applied, or initially backported from, upstream
  * Disable upstream’s update checker

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 20 Jun 2018 20:37:39 +0200

musescore (2.2.1+dfsg1-5) unstable; urgency=high

  * If DEB_BUILD_OPTIONS contains optdbg build with -Og
  * debian/patches/debian-898757.patch: new (Closes: #898757)
  * Cherry-pick next 2.3 branch fixes

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 19 May 2018 17:40:45 +0200

musescore (2.2.1+dfsg1-4) unstable; urgency=high

  * Cherry-pick another crash bugfix from upstream
  * Also cherry-pick one for a lintian warning
  * Adjust urgency taking previous upload’s waiting time into account

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 26 Apr 2018 17:29:42 +0200

musescore (2.2.1+dfsg1-3) unstable; urgency=medium

  * Upload to unstable again, the qtbase-abi-5-10-0 transition is over
  * Add NEWS documenting the standard soundfont transition
  * Cherry-pick another crash bugfix
  * Loosen musescore-common dependency: most 2.2 packages suffice

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 23 Apr 2018 15:50:22 +0200

musescore (2.2.1+dfsg1-2) experimental; urgency=medium

  * Update Maintainer to d-multimedia@l.d.o
  * Cherry-pick some post-release bugfixes from upstream
  * Bump to Policy 4.1.4 with no changes:
    - our d/rules get-orig-source is already just calling uscan,
      although I prefer to keep it as-is, for packager convenience
  * portmidi is only available on linux-any, cope to fix hurd build
  * Update lintian overrides
  * To avoid disturbing the qtbase-abi-5-10-0 transition,
    upload to experimental

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 12 Apr 2018 22:26:33 +0200

musescore (2.2.1+dfsg1-1) unstable; urgency=low

  * New upstream release (and update upstream release note links)
  * Upload to unstable
  * debian/watch: don’t pick up upstream RCs (as newer than the stable
    release), releases and (our) snapshots only
  * debian/repack: handle API errors better (visible for the packager)
  * debian/rules: pass Freetype include path to cmake explicitly
    (compatibility with older cmake versions, for backports)
  * debian/control: spell more dependencies explicitly, for backports

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 03 Apr 2018 19:51:10 +0200

musescore (2.2~pre20180325+dfsg1-1) experimental; urgency=high

  * Merge musescore (2.1.0+dfsg3-3) unstable; urgency=medium
  * New upstream snapshot
    - Renamed MS_General soundfont to MuseScore_General :|
  * Bump dependency version for fluidr3mono-gm-soundfont accordingly
  * Remove now-unnecessary (or so…) patches

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 25 Mar 2018 23:51:20 +0200

musescore (2.2~pre20180316+dfsg1-1) experimental; urgency=medium

  * Merge musescore (2.1.0+dfsg3-1) unstable; urgency=high
  * Merge musescore (2.1.0+dfsg3-2) unstable; urgency=low:
    + Fix copyright file for fonts, latest licences from upstream
    o (keep patches to fix note collisions)
    + Recommend libmp3lame0 (currently dlopen()ed for MP3 export)
    + Add debian/upstream/metadata as requested by lintian
    - (allow Qt 5.10 for 2.2)
    + Add non-standard field “CLA” to UMEGAYA metadata (boldly)
    + Update patches as submitted upstream, and their merge status
  * Update minimum versions of dependencies
  * Point VCS-* URLs to experimental
  * New upstream snapshot (just shy of the first release candidate)
    - Use upstream-provided hook to disable downloading the soundfont
      from the internet during the build process as we package it
      separately (currently still Fluid (R3) Mono, until MS_General
      will have seen its first stable-ish release to package)
    - Remove applied patches
  * Prefer musescore-general-soundfont for the soundfont dependency
  * Link 2.2 release notes in upstream/changelog file
  * Add patch to correct visual note tracking during playback

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 17 Mar 2018 01:45:22 +0100

musescore (2.2~pre20180302+dfsg1-1) experimental; urgency=high

  * Bump Qt dependency to at least Qt 5.4 for QVector.removeOne()
  * New upstream snapshot of upcoming release (Closes: #802710)
  * Forward patches upstream, update DEP-3 patch headers
  * Fix PCH; build with PCH to speed up package build
  * Make all system-wide soundfonts available to MuseScore
  * Address new lintian concerns
  * Add patches to fix note collisions in playback and MIDI export
  * Allow separately-packaged version of fluidr3mono-gm-soundfont
  * Repack to exclude source-less soundfont from origtgz
  * Fix copyright file for fonts and icons

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 05 Mar 2018 03:38:42 +0100

musescore (2.2~pre20180209+dfsg1-1) experimental; urgency=medium

  [ Thorsten Glaser ]
  * Prepare for packaging a snapshot of the 2.2 upstream branch

  [ Dr. Tobias Quathamer ]
  * New upstream version 2.2~pre20180209+dfsg1
    - Remove 05-desktop-keywords.patch, has been applied upstream
    - Refresh patches
    - Add libportmidi-dev to Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 11 Feb 2018 23:06:04 +0100

musescore (2.1.0+dfsg3-3) unstable; urgency=medium

  * Add patch to correct visual note tracking during playback

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 17 Mar 2018 22:55:13 +0100

musescore (2.1.0+dfsg3-2) unstable; urgency=low

  * Fix copyright file for fonts, latest licences from upstream
  * Add patches to fix note collisions in playback and MIDI export
  * Recommend libmp3lame0 (currently dlopen()ed for MP3 export)
  * Add debian/upstream/metadata as requested by lintian
  * Require Qt < 5.10 due to embedded then-incompatible header
  * Add non-standard field “CLA” to UMEGAYA metadata (boldly)
  * Update patches as submitted upstream, and their merge status

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 16 Mar 2018 02:37:02 +0100

musescore (2.1.0+dfsg3-1) unstable; urgency=high

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Thorsten Glaser ]
  * Bump Qt dependency to at least Qt 5.4 for QVector.removeOne()
  * Forward patches upstream, update DEP-3 patch headers
  * Fix PCH; build with PCH to speed up package build
  * Make all system-wide soundfonts available to MuseScore
  * Address new lintian concerns
  * Allow separately-packaged version of fluidr3mono-gm-soundfont
  * Repack to exclude source-less soundfont from origtgz
  * Fix copyright file for fonts and icons
    (note that all fonts from the source are embedded into
    the musescore binary, with embedding-permitting licences)
  * Increase strictness of DFSG scanner within debian/repack
  * Mark packages as Multi-Arch: foreign
  * Update lintian overrides, re-check false positives/fixed-upstream

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 05 Mar 2018 18:51:01 +0100

musescore (2.1.0+dfsg2-1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Improve fluidr3mono-gm-soundfont package description.

  [ Thorsten Glaser ]
  * Update d/copyright after review by Chris Lamb.
  * debian/repack:
    - Reset permissions and uid/gid in the archive.
    - Use DevRef §6.7.8.2 compliant top-level directory name.
    - Support using % in git tags for ~ (for experimental).
    - Use repository from watch file in repack script (API call).
    - Create xz-compressed repacked orig tarballs.
    - Add pristine-tar to success text.
  * debian/watch: Mangle versions to allow %/~ prereleases.

  [ Dr. Tobias Quathamer ]
  * New upstream version 2.1.0+dfsg2
    - Remove binary file librtf2html.a
  * Switch Vcs-URLs to salsa.d.o
  * Add myself to uploaders
  * Use debhelper v11
  * Remove debhelper's --parallel option, is now default
  * Update Standards-Version to 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 11 Feb 2018 22:22:51 +0100

musescore (2.1.0+dfsg1-1) unstable; urgency=low

  * Add myself to Uploaders. (10x tvaz)
  * Update Homepage while here.
  * Fix soundfont copyright information, do not ship extra licence file.
  * Split fluidr3mono-gm-soundfont off musescore-common. (Closes: #871920)
  * Update to Debian Policy 4.1.1.1 (no changes).
  * Install fluidr3mono-gm-soundfont’s upstream changelog.
  * Create fix for upstream issue #150956.
  * Add reference to upstream changelog.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 10 Oct 2017 20:25:10 +0200

musescore (2.1.0+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload (could conceivably be team, though).
  * Further update lintian overrides.
  * Upload to unstable. (Closes: #871075)
  * Add Keywords to desktop file, thanks lintian.

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 09 Aug 2017 14:11:19 +0200

musescore (2.1.0+dfsg1-0.1) experimental; urgency=medium

  * Non-maintainer upload with tentative maintainer agreement.
  * Upload to experimental.
  * New upstream version 2.1.0. (Closes: #861776)
    - 01-debundle-freetype.patch was implemented by a cmake option
    - installs higher resolution icons (Closes: #858822)
  * Remove musescore-soundfont-gm transitional package after release
  * Add 01-oss-salsa.patch to perhaps fix kFreeBSD, Hurd builds.
  * Fix build without PCH copying all.h too late.
  * Address some lintian issues.

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Aug 2017 03:09:32 +0200

musescore (2.0.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Only install /usr/share/mscore symlink when building arch:all packages.

 -- James Cowgill <jcowgill@debian.org>  Sun, 17 Jul 2016 16:19:05 +0100

musescore (2.0.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Comment out the "compression" key in debian/gbp.conf.

  [ Peter Jonas ]
  * New upstream version 2.0.3. (Closes: #821325)
  * Remove obsolete manual patch - upstream has removed the manual from the
    source and it's now available online. (Closes: #815688; LP: #1492629)
  * Remove other obsolete patches.
  * Update debian/copyright. (Closes: #818619)
  * Set revision on upstream import via uscan. (Closes: #818795; LP: #1492623)
  * Update syntax for debian/gbp.conf and debian/watch.
  * Add Files-Excluded field to debian/copyright and adjusted debian/repack.
  * Don't build-depend on qtquick1-5-dev. (Closes: #808781, #824956)
  * Add documentation for handling new upstream releases to README.source.

  [ James Cowgill ]
  * Modernize debian/rules and use cmake directly.
    - The buggy CPU detection code is no longer used. (Closes: #797259)

  * debian/control:
    - Neaten up using wrap-and-sort.
    - Use secure Vcs URLs.
    - Bump standards to 3.9.8 (no changes).
    - Depend on exact version of musescore-common.
  * debian/copyright:
    - Add copyright for thirdparty/freetype.
    - Remove unused LGPL-2.1 paragraph.
    - Fix Files regex for thirdparty/intervaltree.
  * debian/patches:
   - 01 Use the system copy of FreeType.
   - 02 Put common flags into CMAKE_CXX_FLAGS and disable PCH.
   - 03 Remove OpenSSL references from kQOAuth.
   - 04 Fix manpage errors.
  * debian/*.postinst, debian/*.postrm, debian/*.prerm:
   - Drop all maintainer scripts, everything is handled by triggers now.
  * debian/rules:
   - Enable all hardening flags.
   - Use -Wl,--as-needed to avoid extra library dependencies.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 16 Jul 2016 21:14:40 +0200

musescore (2.0.2+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Tiago Bortoletto Vaz ]
  * Fix Worng list formatting in package description. Thanks to Beatrice
    Torracca. (Closes: #790106)

  [ Sebastian Ramacher ]
  * debian/patches/03-fix-when-char-defaults-to-unsigned.patch: Apply upstream
    patch to fix FTBFS on arm* (Closes: #802705)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Oct 2015 13:22:28 +0200

musescore (2.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Remove Debian patch related to multi-processors, fixed by upstream.
  * Build-depend on shared-mime-info
  * New patch: 02-do-not-update-mime-during-build.patch

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 18 Jul 2015 00:21:32 -0400

musescore (2.0.1+dfsg-3) unstable; urgency=medium

  * Re-using old patch related to multiple processors and m68k.
  * Fix Vcs-Git in control file, thanks duck.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 03 Jul 2015 15:58:27 -0400

musescore (2.0.1+dfsg-2) unstable; urgency=medium

  * Improve package short and long descriptions
  * Patch Makefile to avoid build error on m68k
  * Remove patch for Hurd and KFreeBSB builds, it's in upstream code already.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 17 Jun 2015 15:58:47 -0400

musescore (2.0.1+dfsg-1) unstable; urgency=medium

  [ Toby Smithe ]
  * New upstream release (2.0.1)
  * Closes: #768524, #724588; LP: #886729, #829153, #699868, #1444318.
  * Drop obsolete patches and refresh remainder.
  * Update control file for Qt 5 dependencies.
  * Set Maintainer to Debian Multimedia team.
  * Update VCS info.
  * Update debian/copyright, rewrite as machine-readable.

  [ Tiago Bortoletto Vaz ]
  * New Standards-Version
  * Fix upstream name/contact in copyright file
  * Hardened build (https://wiki.debian.org/Hardening)
  * Add new MuseScore icon and menu entry
  * Update watch file and get-orig-source rules

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 17 Jun 2015 12:39:56 -0400

musescore (1.3+dfsg1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove file mscore/demos/prelude.mscx from upstream tarball.
    The file has the license CC-BY-NC-SA 2.0, which is nonfree.
    Thanks to mejiko <kame55-itasenpara123@y2.dion.ne.jp> (Closes: #749696)
  * Increment dfsg suffix by one for new upstream tarball and use
    xz compression
  * Imported Upstream version 1.3+dfsg1
  * Add new patch to remove nonfree file from installation

 -- Tobias Quathamer <toddy@debian.org>  Thu, 23 Oct 2014 13:05:04 +0200

musescore (1.3+dfsg-2) unstable; urgency=medium

  * Remove obsolete mscore.sh script
    (Closes: #714269, #714272, #719615, #737765, #743970;
     LP: #1284273, #880492)
  * Replace 'Conflicts' with 'Breaks' (LP: #1086344)

 -- Toby Smithe <tsmithe@ubuntu.com>  Mon, 12 May 2014 16:34:50 +0100

musescore (1.3+dfsg-1) unstable; urgency=low

  * New upstream release
    + see <http://musescore.org/en/musescore-1.3>
    + important bug fixes (Closes: #591908; LP: #1010457)
  * debian/control:
    + update long description for musescore-common
    + depend on mawk not gawk (Closes: #667845)
    + depend on individual libqtscript4 packages rather than the metapackage
      libqtscript4-qtbindings, since -opengl will not install on GNU/Hurd, thereby
      making musescore uninstallable
  * debian/patches:
    + drop 20-fix-dso-linking.patch
    + add 25-build-hurd.patch: add rules to CMakeLists to build on GNU or kFreeBSD

 -- Toby Smithe <tsmithe@ubuntu.com>  Wed, 19 Feb 2014 23:04:53 +0000

musescore (1.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches
    - add adjust-newer-freetype-header-location.patch (Closes: #733363)

 -- Hideki Yamane <henrich@debian.org>  Wed, 05 Feb 2014 21:19:03 +0900

musescore (1.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + see <http://musescore.org/en/musescore-1.2-released>
    + many bugfixes (Closes: #641780, #663411, #649225, #657910, #642953)
                    (LP: #794282, #944619, #743116)
    + musescore-common dependency has been correctly versioned since 1.1
      (Closes: #655111)
  * 12-debianise-about-box.patch:
    + redirect bug submitters to the correct package on Launchpad
  * 25-desktop-file-genericnames.patch: (Closes: #640988)
    + no more meaningless GenericName entries in desktop file
  * debian/rules: use dh_prep instead of dh_clean -k
  * debian/rules, debian/manpages: make sure `musescore` has a manpage
  * debian/control: ensure transitional packages are oldlibs/extra

 -- Toby Smithe <tsmithe@ubuntu.com>  Wed, 21 Mar 2012 18:45:32 +0000

musescore (1.1+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    Note: some patches were updated with "quilt refresh" to make
    them apply cleanly.
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 29 Feb 2012 04:55:51 -0500

musescore (1.1+dfsg-1) unstable; urgency=low

  * New upstream release: <http://musescore.org/en/musescore-1.1> (LP: #819293)
    + MuseScore Connect <http://musescore.org/en/node/11523>
      - debian/control: depend on libqtwebkit-dev
    + add sol notehead, alternative brevist notehead group
    + add new symbols for old notation
    + improvements to MuseJazz font
    + new "MuseJazz" style
    + new "Jazz Lead Sheet" template and style
    + improvements to chord placement via keyboard
    + "Acoustic Bass" added to instrument list
    + many bug fixes (LP: #720483)
      <http://musescore.org/en/developers-handbook/release-notes-musescore-1.1>
  * Fix startup notification (Closes: #625824).
    + add 21-fix-startup-notification.dpatch
  * Fix FTBFS (Closes: #624989; LP: #770742)
    + add 22-fix-casting.dpatch
  * Switch Mixer binding to F8 (LP: #783653)
  * Update other patches.

 -- Toby Smithe <tsmithe@ubuntu.com>  Fri, 12 Aug 2011 14:31:48 +0100

musescore (1.0+dfsg-3) unstable; urgency=low

  * Harden dependency on musescore-common to ">= 1.0+dfsg-1" so that
    people can't do silly things like grab the debs independently and
    mess up their configs...
    + mscore.real looks at /usr/share/mscore-1.0 not mscore-0.9 now;
    + /usr/share/mscore needs to point to /usr/share/mscore-1.0.

 -- Toby Smithe <tsmithe@ubuntu.com>  Thu, 24 Feb 2011 10:30:41 +0000

musescore (1.0+dfsg-2) unstable; urgency=low

  * Re-include Matthias Klose's armel qreal fixes (Closes: #597802)
    (I missed 0.9.6.3+dfsg-0ubuntu2...
     Apologies to Matthias and my sponsor, Tobias Quathamer!)

  * debian/patches/12-debianise-about-box.dpatch:
    + Update "About" dialogue box to give copyright to 2011.

  [ Matthias Klose ]
  * More armel qreal fixes. LP: #642117.

 -- Toby Smithe <tsmithe@ubuntu.com>  Wed, 16 Feb 2011 20:04:20 +0000

musescore (1.0+dfsg-1) unstable; urgency=low

  * New upstream release (LP: #714991)
    + based off stable 0.9.6 branch
    + see <http://musescore.org/en/node/9020> for release notes.

  * Other bug fixes:
    + "Program Icon Not Used for Window List" (LP: #599820)
    + "Revert factory settings crashes on Ubuntu 10.04" (LP: #599226)

  * debian/patches:
    + 20-fix-dso-linking.dpatch: fix FTBFS on wheezy/natty.

 -- Toby Smithe <tsmithe@ubuntu.com>  Mon, 14 Feb 2011 17:22:06 +0000

musescore (0.9.6.3+dfsg-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release (LP: #652276)
    + Incorporates Niall's armel qreal patch (Closes: #597802)

  * debian/musescore.sh: pactl test fixed (Closes: #596270)

 -- Toby Smithe <tsmithe@ubuntu.com>  Thu, 30 Sep 2010 17:20:26 +0100

musescore (0.9.6.2+dfsg-1ubuntu1) maverick; urgency=low

  * 20_armel-float-cast-fix.dpatch:
    - Define alternative rxpos and rypos calls for armel to handle
    its differenet QpointF rx() and ry() call return values. Ensure qMax
    and qMin calls have equivalent argument types(LP: #642117)

 -- Niall Creech <niallcreech@gmail.com>  Tue, 21 Sep 2010 19:23:50 +0100

musescore (0.9.6.2+dfsg-1) unstable; urgency=low

  * New upstream bugfix release (Closes: #593728)
    + Program icon used in window list. (Closes: #591913, LP: #599820)
        (debian/patches/19-fix-window-icon.dpatch)
    + Does not crash when reverting factory settings. (LP: #599226)
        (debian/patches/18-correct-sf2-path.dpatch)
    + Does not hang on opening. (Closes: #591911)

  * Update Standards-Version to 3.9.1.

  * See the release notes:
      <http://musescore.org/en/node/6745> for 0.9.6.2, and
      <http://musescore.org/en/node/6456> for 0.9.6.1 (which was skipped).

 -- Toby Smithe <tsmithe@ubuntu.com>  Tue, 17 Aug 2010 22:30:25 +0100

musescore (0.9.6+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #585599)
    + Many new features and bugfixes. (Closes: #566235, #581845. LP: #558880)
    + See http://musescore.org/en/new-features-musescore-096 for info.
    + Update patches.

  * For now, stick to source format 1.0.
  * Still no offline PDF manuals, as pisa/reportlab are broken right now.

  * debian/control:
    + Add Provides/Replaces for old mscore packages. (LP: #527349)

  * debian/musescore.links:
    + Install symlink from usr/bin/musescore to usr/bin/mscore.

  * debian/mscore.sh, debian/control:
    + Be more robust in pulseaudio handling. (Closes: #524733)
    + Recomend pulseaudio-utils, test for pactl.

  * debian/patches/13-fix-arm-qreal-ftbfs.dpatch:
    + Hopefully, this fixes the armel FTBFS. (Closes: #559854)

  * debian/patches/09-disable-building-qtscript, debian/control:
    + Just don't build the script stuff.
    + Depend on libqtscript4-qtbindings instead.

  * debian/musescore.postinst:
    + Fix xdg-mime handling. (Closes: #570840)

 -- Toby Smithe <tsmithe@ubuntu.com>  Mon, 7 Jun 2010 18:12:23 +0100

musescore (0.9.6~beta1+dfsg-0ubuntu1) lucid; urgency=low

  * New upstream release. Many bugfixes. (Closes LP: #498626, #484006, 335461)
  * Package name changed from mscore to musescore.

  * Remove requirement for fluid-soundfont-gm:
    + musescore now ships its own sf2 in musescore-soundfont-gm.

  * debian/control:
    + add Build-Depends on libfreetype6-dev.
  * debian/patches:
    + add 17-ProcessHTML-remove-ja: ja not available yet in this checkout.
    + drop 04-use-fluid-soundfont (see above).

 -- Toby Smithe <tsmithe@ubuntu.com>  Sat, 13 Feb 2010 18:32:22 +0100

mscore (0.9.5+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "package purge (after dependencies removal) fails": call
    update-desktop-database only if it exists (closes: #574236).

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Apr 2010 21:14:19 +0200

mscore (0.9.5+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #545053, #552780)
    + Many bugfixes (Closes: #519142)
    + Greater stability
    + Better translations

  * debian/control
    + complies with Standards-Version 3.8.3
    + drop old Build-Dependency on pdftk
    + drop dependency on external libfluidsynth, as mscore requires
      capabilities that have diverged, and that are only tenable in this
      distribution
    + add libsndfile1-dev to Build-Depends to support audio export.
    + add chrpath to Build-Depends.
    + add desktop-file-utils to Depends to support mime type.
    + require Qt 4.5
    + X-Vcs-Bzr replaced with Vcs-Bzr; Vcs-Browser added.

  * debian/patches:
    + drop 01-use-global-fluidsynth:
       <http://n2.nabble.com/forum/Permalink.jtp?root=3050336&post=3054888>
    + 09-disable-building-qtscript.dpatch: enable static building of QtScript
    + 13-fix-arm-qreal-ftbfs.dpatch. Closes: #516892
    + add 14-enable-portaudio-by-default.dpatch to enhance audio reliability.
    + drop 15-add-mime-to-desktop-file.dpatch, owing to upstream inclusion.

  * debian/copyright:
    + add information pertaining to mscore/singleapp.
    + add information about OOoMuseScore and portmidi.
    + add notice about BeautifulSoup.
    + (C) replaced with ©.

  * Register MimeType, icon and default application handler.
    + debian/patches/15-add-mime-to-desktop-file.dpatch
    + debian/mscore.sharedmimeinfo
    + debian/mscore.mime
    + debian/mscore.links
    + debian/mscore.postinst
    + debian/mscore.prerm
    + debian/mscore.postrm
    + debian/control
    + debian/rules

  * Write infrastructure for PDF manuals installation.
    - add code to debian/rules to get manual source on orig tarball creation
      then rebuild the manuals from the downloaded source;
      (applies to get-orig-source and update-to-svn; requires python-pisa)
    - explain in README.Debian for clarity.
    - This is disabled until pisa is in the archive.

  * debian/rules: Remove rpath from mscore.real binary with chrpath.

  * debian/mscore.sh
    + Fix pgrep exit value check. Closes: #524733
    + Add check for recent PulseAudio to decide whether or not to suspend.

  * Add debian/README.source

 -- Toby Smithe <tsmithe@ubuntu.com>  Thu, 3 Dec 2009 18:11:15 +0100

mscore (0.9.4+dfsg-1) unstable; urgency=low

  * New upstream release
    + http://www.musescore.org/en/blog/2009/02/06/new-features-musescore-094
  * Re-pack orig tarball to remove rtf2html binary.
  * debian/patches:
    + 05-use-mscore-common-files:
      - fix rejected hunks;
      - use lighter foreground score image (paper4.png).
    + 10-disable-awl: fix rejected hunks.
    + 11-install-manual:
      - fix rejected hunks;
      - patch mscore.cpp to not display local help option;
      - manual/handbook PDFs not in this checkout, so add option
        to not install.
    + 12-debianise-about-box.dpatch:
      - add info pertaining to Debian/Ubuntu-based distributions to about box.
  * debian/copyright:
    + add information about paper[45].png;
    + add information about osdabzip, rtf2html;
    + update dates.
  * debian/control:
    + add Vcs-Bzr field;
    + update Standards-Version.
  * debian/rules:
    + add update-to-svn and build-svn rules;
    + reflect removal of rtf2html binary in get-orig-source.

 -- Toby Smithe <tsmithe@ubuntu.com>  Sat, 07 Feb 2009 12:42:47 +0000

mscore (0.9.3+dfsg-1) unstable; urgency=low

  * New upstream release.
    + Many bugs, crashes fixed.
    + Better MusicXML support, new compressed file format (.mscz).
    + Ability to use plugins with access to whole Qt library.
    + Glissando, tremolo support.
  * debian/control: Update Standards-Version to 3.8.0.
  * debian/control: Update Homepage to musescore.org.
  * debian/patches:
    + 10-disable-awl: Disable awl plugin to ease shlib issues.
    + 09-disable-building-qtscript: Until Qt4.5, disable the Qt
                                    scripting interface (otherwise
                                    results in shlib errors).
    + 01-use-global-fluidsynth: Disabled until vibrato problems fixed;
                                link statically against local copy instead.

 -- Toby Smithe <tsmithe@ubuntu.com>  Sun, 21 Sep 2008 21:40:42 +0100

mscore (0.9.2+dfsg-3) unstable; urgency=low

  * Patches modified:
    + 08-disable-multiple-jobs:
      The usage of multiple jobs is not very well supported by upstream's
      build system. Therefore, multiple jobs are disabled completely for
      now. Thanks a lot to Thiemo Seufer for debugging this on MIPS.
      Closes: #487548

 -- Toby Smithe <tsmithe@ubuntu.com>  Mon, 23 Jun 2008 20:10:44 +0200

mscore (0.9.2+dfsg-2) unstable; urgency=low

  * Patches added:
    + 08-disable-multiple-jobs:
      The current system of detecting multiple CPUs and using them for
      multiple jobs in parallel is not very robust and results in a
      FTBFS on some architectures.

 -- Toby Smithe <tsmithe@ubuntu.com>  Tue, 17 Jun 2008 19:40:12 +0100

mscore (0.9.2+dfsg-1) unstable; urgency=low

  * Initial Debian upload (Closes: #460934).
  * debian/control: set Maintainer field appropriately.
  * debian/control: remove unneeded Build-Depends on context.
  * debian/control: add Build-Depends on zlib1g-dev.
  * debian/rules: remove generated files in clean target to enable
    building the package twice in a row
  * Replace "Ubuntu" with "Debian" in README.Debian and
    soundfont-required.update-notifier
  * debian/copyright: correct GPL license to exactly version 2, not
    any later version. Also mention LGPL-2 or later for an included
    library. Correct download location for original non-free tarball.

 -- Toby Smithe <tsmithe@ubuntu.com>  Sun, 08 Jun 2008 14:10:28 +0200

mscore (0.9.2+dfsg-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #235731)
  * Patches dropped:
    + 03-build-desktop-file - incorporated upstream
    + 06-build-documentation - new online documentation system obsoletes this
  * Patches added:
    + 07-fix-xml-in-msc - Qt 4.4 updates break xml production thus
			  creating files which do not open with mScore.
			  (LP: #234681)

 -- Toby Smithe <tsmithe@ubuntu.com>  Sun, 27 Apr 2008 12:33:00 +0100

mscore (0.9.1d+dfsg-0ubuntu4) hardy; urgency=low

  * mscore.sh: + Check for module-jack-sink in PulseAudio, rather than
	         just suspend blindly.
	       + Clean up output.
	       + Closes LP: #207565
  * Enable PortAudio support.

 -- Toby Smithe <tsmithe@ubuntu.com>  Mon, 31 Mar 2008 22:44:12 +0100

mscore (0.9.1d+dfsg-0ubuntu3) hardy; urgency=low

  * Build documentation (06-build-documentation.dpatch).
  * Allow mscore.sh to accept arguments to mscore.real.
  * Fix SoundFont notification to only display when
    /usr/share/sounds/sf2 does not exist (mscore.postinst).
  * Closes LP: #205771

 -- Toby Smithe <tsmithe@ubuntu.com>  Sun, 23 Mar 2008 17:52:22 +0000

mscore (0.9.1d+dfsg-0ubuntu2) hardy; urgency=low

  * 04-use-fluid-soundfont.dpatch
     - change default SoundFont from the removed MiniPiano, to the
       recommended Fluid SoundFont.
  * 05-use-mscore-common-files.dpatch
     - use files from the mscore-common package rather than link them
       into the mscore binary. See the patch header for a rationale.

 -- Toby Smithe <tsmithe@ubuntu.com>  Sun, 24 Feb 2008 18:42:45 +0000

mscore (0.9.1+dfsg-0ubuntu1~tsmithe1) gutsy; urgency=low

  * No-change PPA upload.
  - Previous changelog entry should read "24 Jan 2008".

 -- Toby Smithe <tsmithe@ubuntu.com>  Sat, 16 Feb 2008 15:52:12 +0000

mscore (0.9.1d+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Icons and desktop file now installed by upstream distribution.
  * 03-build-desktop-file.dpatch: fix building of desktop file.
  * mscore.sh: move mscore binary to mscore.real, and use pasuspender if
               PulseAudio is installed and running.

 -- Toby Smithe <tsmithe@ubuntu.com>  Thu, 24 Jan 2007 20:27:12 +0000

mscore (0.8.0+dfsg-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Patches included upstream, remaining:
    - 01-use-global-fluidsynth.dpatch: modified to only configure CMake
  * Patch to remove piano1.sf2 from mscore binary (02-freedom.dpatch),
    as it is not in the source distribution.

 -- Toby Smithe <tsmithe@ubuntu.com>  Wed, 26 Dec 2007 16:39:12 +0000

mscore (0.7.0.1+dfsg-0ubuntu1) hardy; urgency=low

  * Initial release (Closes LP: #152650)
  * Repackaged to comply with DFSG: removed piano1.sf2 SoundFont, PDFs.
    - Does anyone have any free SoundFonts?
  * Patch to allow installing in a certain prefix (02-install-prefix.dpatch)
  * Patch to build using system FluidSynth distribution
     (01-use-global-fluidsynth.dpatch)

 -- Toby Smithe <tsmithe@ubuntu.com>  Thu, 22 Nov 2007 17:49:27 +0000
